Page MenuHomePhabricator

Decommission db1040
Closed, ResolvedPublic

Description

It has already been backed up, we need to fully depool it and then start the decommission.

Details

Related Gerrit Patches:
operations/puppet : productionsite.pp: remove db1040, decom
operations/software : masters4.hosts: Remove db1040
operations/mediawiki-config : masterdb-codfw,db-eqiad.php: Decommission db1040
operations/puppet : productionmariadb: Get ready to decommission db1040
operations/puppet : productionmariadb: Add db1097 as a new eqiad s4 slave

Related Objects

StatusAssignedTask
ResolvedNone
ResolvedCmjohnson

Event Timeline

jcrespo created this task.Apr 28 2017, 9:35 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2017, 9:35 AM

Change 350808 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mariadb: Add db1097 as a new eqiad s4 slave

https://gerrit.wikimedia.org/r/350808

Change 350808 merged by Jcrespo:
[operations/puppet@production] mariadb: Add db1097 as a new eqiad s4 slave

https://gerrit.wikimedia.org/r/350808

jcrespo moved this task from Triage to Backlog on the DBA board.Apr 28 2017, 10:01 AM

Change 351782 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-codfw,db-eqiad.php: Decommission db1040

https://gerrit.wikimedia.org/r/351782

Change 351783 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Get ready to decommission db1040

https://gerrit.wikimedia.org/r/351783

Change 351784 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/software@master] s4.hosts: Remove db1040

https://gerrit.wikimedia.org/r/351784

Change 351783 merged by Marostegui:
[operations/puppet@production] mariadb: Get ready to decommission db1040

https://gerrit.wikimedia.org/r/351783

Change 351782 merged by jenkins-bot:
[operations/mediawiki-config@master] db-codfw,db-eqiad.php: Decommission db1040

https://gerrit.wikimedia.org/r/351782

Mentioned in SAL (#wikimedia-operations) [2017-05-04T08:49:22Z] <marostegui@naos> Synchronized wmf-config/db-eqiad.php: Remove db1040 from config files as it will be decommissioned - T164057 (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2017-05-04T08:50:18Z] <marostegui@naos> Synchronized wmf-config/db-codfw.php: Remove db1040 from config files as it will be decommissioned - T164057 (duration: 00m 48s)

Change 351784 merged by jenkins-bot:
[operations/software@master] s4.hosts: Remove db1040

https://gerrit.wikimedia.org/r/351784

Marostegui added a project: ops-eqiad.
Marostegui moved this task from Backlog to Done on the DBA board.
Marostegui added a subscriber: Cmjohnson.

The host is ready to be decommissioned.
What I have done:

MySQL is stopped.

@Cmjohnson the host is all yours now.
Thanks!

Restricted Application added a project: Operations. · View Herald TranscriptMay 4 2017, 8:53 AM

Change 352840 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] removing dns entries for db1040 *decom* T164057

https://gerrit.wikimedia.org/r/352840

Change 352840 merged by Cmjohnson:
[operations/dns@master] removing dns entries for db1040 *decom* T164057

https://gerrit.wikimedia.org/r/352840

Cmjohnson closed this task as Resolved.May 9 2017, 2:36 PM

wiped, removed from rack, switch was already updated, racktables updated.

Dzahn added a subscriber: Dzahn.May 9 2017, 11:15 PM

is still in puppet site.pp and Icinga

Dzahn reopened this task as Open.May 9 2017, 11:15 PM

Change 352982 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] site.pp: remove db1040, decom

https://gerrit.wikimedia.org/r/352982

Change 352982 merged by Dzahn:
[operations/puppet@production] site.pp: remove db1040, decom

https://gerrit.wikimedia.org/r/352982

Mentioned in SAL (#wikimedia-operations) [2017-05-09T23:33:49Z] <mutante> db1040 - remove from puppet, puppet node clean/deactivate, deleted salt-key, remove from icinga by running puppet on tegmen after that (T164057)

Dzahn closed this task as Resolved.May 9 2017, 11:35 PM